<?php
require_once(getabspath("classes/cipherer.php"));
$tdataRelatorio_Alunos_Mensal = array();
	$tdataRelatorio_Alunos_Mensal[".NumberOfChars"] = 80; 
	$tdataRelatorio_Alunos_Mensal[".ShortName"] = "Relatorio_Alunos_Mensal";
	$tdataRelatorio_Alunos_Mensal[".OwnerID"] = "idnucleo";
	$tdataRelatorio_Alunos_Mensal[".OriginalTable"] = "senuc_score";

//	field labels
$fieldLabelsRelatorio_Alunos_Mensal = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"] = array();
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"] = array();
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["coordenadores"] = "Coordenadores";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["coordenadores"] = "";
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["professores"] = "Professores";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["professores"] = "";
	$fieldLabelsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["alunos"] = "Alunos";
	$fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]["alunos"] = "";
	if (count($fieldToolTipsRelatorio_Alunos_Mensal["Portuguese(Brazil)"]))
		$tdataRelatorio_Alunos_Mensal[".isUseToolTips"] = true;
}
	
	
	$tdataRelatorio_Alunos_Mensal[".NCSearch"] = true;



$tdataRelatorio_Alunos_Mensal[".shortTableName"] = "Relatorio_Alunos_Mensal";
$tdataRelatorio_Alunos_Mensal[".nSecOptions"] = 1;
$tdataRelatorio_Alunos_Mensal[".recsPerRowList"] = 1;
$tdataRelatorio_Alunos_Mensal[".mainTableOwnerID"] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".moveNext"] = 1;
$tdataRelatorio_Alunos_Mensal[".nType"] = 2;

$tdataRelatorio_Alunos_Mensal[".strOriginalTableName"] = "senuc_score";




$tdataRelatorio_Alunos_Mensal[".showAddInPopup"] = false;

$tdataRelatorio_Alunos_Mensal[".showEditInPopup"] = false;

$tdataRelatorio_Alunos_Mensal[".showViewInPopup"] = false;

$tdataRelatorio_Alunos_Mensal[".fieldsForRegister"] = array();

$tdataRelatorio_Alunos_Mensal[".listAjax"] = false;

	$tdataRelatorio_Alunos_Mensal[".audit"] = false;

	$tdataRelatorio_Alunos_Mensal[".locking"] = false;

$tdataRelatorio_Alunos_Mensal[".listIcons"] = true;
$tdataRelatorio_Alunos_Mensal[".edit"] = true;
$tdataRelatorio_Alunos_Mensal[".inlineEdit"] = true;
$tdataRelatorio_Alunos_Mensal[".inlineAdd"] = true;
$tdataRelatorio_Alunos_Mensal[".view"] = true;

$tdataRelatorio_Alunos_Mensal[".exportTo"] = true;

$tdataRelatorio_Alunos_Mensal[".printFriendly"] = true;

$tdataRelatorio_Alunos_Mensal[".delete"] = true;

$tdataRelatorio_Alunos_Mensal[".showSimpleSearchOptions"] = false;

$tdataRelatorio_Alunos_Mensal[".showSearchPanel"] = true;

if (isMobile())
	$tdataRelatorio_Alunos_Mensal[".isUseAjaxSuggest"] = false;
else 
	$tdataRelatorio_Alunos_Mensal[".isUseAjaxSuggest"] = true;


// button handlers file names

$tdataRelatorio_Alunos_Mensal[".addPageEvents"] = false;

// use timepicker for search panel
$tdataRelatorio_Alunos_Mensal[".isUseTimeForSearch"] = false;




$tdataRelatorio_Alunos_Mensal[".allSearchFields"] = array();

$tdataRelatorio_Alunos_Mensal[".allSearchFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".allSearchFields"][] = "mes";

$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "id";
$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".googleLikeFields"][] = "professores";


$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "id";
$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".advSearchFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".isTableType"] = "report";

$tdataRelatorio_Alunos_Mensal[".reportGroupFields"] = true;
	



// Access doesn't support subqueries from the same table as main




$tstrOrderBy = "ORDER BY ano DESC, mes DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataRelatorio_Alunos_Mensal[".strOrderBy"] = $tstrOrderBy;

$tdataRelatorio_Alunos_Mensal[".orderindexes"] = array();
$tdataRelatorio_Alunos_Mensal[".orderindexes"][] = array(4, (0 ? "ASC" : "DESC"), "ano");
$tdataRelatorio_Alunos_Mensal[".orderindexes"][] = array(5, (0 ? "ASC" : "DESC"), "mes");

$tdataRelatorio_Alunos_Mensal[".sqlHead"] = "SELECT id,  idnucleo,  idregional,  ano,  mes,  alunos,  coordenadores,  professores";
$tdataRelatorio_Alunos_Mensal[".sqlFrom"] = "FROM senuc_score";
$tdataRelatorio_Alunos_Mensal[".sqlWhereExpr"] = "";
$tdataRelatorio_Alunos_Mensal[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRelatorio_Alunos_Mensal[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRelatorio_Alunos_Mensal[".arrGroupsPerPage"] = $arrGPP;

$tableKeysRelatorio_Alunos_Mensal = array();
$tableKeysRelatorio_Alunos_Mensal[] = "id";
$tdataRelatorio_Alunos_Mensal[".Keys"] = $tableKeysRelatorio_Alunos_Mensal;

$tdataRelatorio_Alunos_Mensal[".listFields"] = array();
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "id";
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".listFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".viewFields"] = array();
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "id";
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".viewFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".addFields"] = array();
$tdataRelatorio_Alunos_Mensal[".addFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".addFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".addFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".addFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".addFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".addFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".inlineAddFields"] = array();
$tdataRelatorio_Alunos_Mensal[".inlineAddFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".inlineAddFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".inlineAddFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".inlineAddFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".inlineAddFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".inlineAddFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".editFields"] = array();
$tdataRelatorio_Alunos_Mensal[".editFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".editFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".editFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".editFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".editFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".editFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".editFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".inlineEditFields"] = array();
$tdataRelatorio_Alunos_Mensal[".inlineEditFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".inlineEditFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".inlineEditFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".inlineEditFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".inlineEditFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".inlineEditFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".inlineEditFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".exportFields"] = array();
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "id";
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".exportFields"][] = "professores";

$tdataRelatorio_Alunos_Mensal[".printFields"] = array();
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "id";
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "idnucleo";
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "idregional";
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "ano";
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "mes";
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "alunos";
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "coordenadores";
$tdataRelatorio_Alunos_Mensal[".printFields"][] = "professores";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["idnucleo"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["idregional"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["ano"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["mes"] = $fdata;
//	alunos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "alunos";
	$fdata["GoodName"] = "alunos";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Alunos"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "alunos"; 
		$fdata["FullName"] = "alunos";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["alunos"] = $fdata;
//	coordenadores
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "coordenadores";
	$fdata["GoodName"] = "coordenadores";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Coordenadores"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "coordenadores"; 
		$fdata["FullName"] = "coordenadores";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["coordenadores"] = $fdata;
//	professores
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "professores";
	$fdata["GoodName"] = "professores";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Professores"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "professores"; 
		$fdata["FullName"] = "professores";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Alunos_Mensal["professores"] = $fdata;

	
$tables_data["Relatorio_Alunos_Mensal"]=&$tdataRelatorio_Alunos_Mensal;
$field_labels["Relatorio_Alunos_Mensal"] = &$fieldLabelsRelatorio_Alunos_Mensal;
$fieldToolTips["Relatorio_Alunos_Mensal"] = &$fieldToolTipsRelatorio_Alunos_Mensal;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Relatorio_Alunos_Mensal"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["Relatorio_Alunos_Mensal"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_Relatorio_Alunos_Mensal()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  idnucleo,  idregional,  ano,  mes,  alunos,  coordenadores,  professores";
$proto0["m_strFrom"] = "FROM senuc_score";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ano DESC, mes DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_score"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_score"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_score"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "alunos",
	"m_strTable" => "senuc_score"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "coordenadores",
	"m_strTable" => "senuc_score"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "professores",
	"m_strTable" => "senuc_score"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "senuc_score";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "id";
$proto22["m_columns"][] = "idnucleo";
$proto22["m_columns"][] = "idregional";
$proto22["m_columns"][] = "tipo_nucleo";
$proto22["m_columns"][] = "ano";
$proto22["m_columns"][] = "mes";
$proto22["m_columns"][] = "coordenadores";
$proto22["m_columns"][] = "professores";
$proto22["m_columns"][] = "alunos";
$proto22["m_columns"][] = "meta_alunos";
$proto22["m_columns"][] = "dias_funcionamento";
$proto22["m_columns"][] = "meta_funcionamento";
$proto22["m_columns"][] = "alunos_por_coordenador";
$proto22["m_columns"][] = "meta_alunos_por_coordenador";
$proto22["m_columns"][] = "freq_media_coordenador";
$proto22["m_columns"][] = "min_freq_coordenador";
$proto22["m_columns"][] = "freq_media_aluno";
$proto22["m_columns"][] = "min_freq_aluno";
$proto22["m_columns"][] = "freq_media_professor";
$proto22["m_columns"][] = "min_freq_professor";
$proto22["m_columns"][] = "meta_atividades";
$proto22["m_columns"][] = "atividades_elaboradas";
$proto22["m_columns"][] = "atividades_realizadas";
$proto22["m_columns"][] = "score";
$proto22["m_columns"][] = "operador";
$proto22["m_columns"][] = "data_insercao";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_alias"] = "";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = "0";
$proto23["m_inBrackets"] = "0";
$proto23["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto25=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto25["m_column"]=$obj;
$proto25["m_bAsc"] = 0;
$proto25["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto25);

$proto0["m_orderby"][]=$obj;					
												$proto27=array();
						$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto27["m_column"]=$obj;
$proto27["m_bAsc"] = 0;
$proto27["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto27);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_Relatorio_Alunos_Mensal = createSqlQuery_Relatorio_Alunos_Mensal();
								$tdataRelatorio_Alunos_Mensal[".sqlquery"] = $queryData_Relatorio_Alunos_Mensal;
	
if(isset($tdataRelatorio_Alunos_Mensal["field2"])){
	$tdataRelatorio_Alunos_Mensal["field2"]["LookupTable"] = "carscars_view";
	$tdataRelatorio_Alunos_Mensal["field2"]["LookupOrderBy"] = "name";
	$tdataRelatorio_Alunos_Mensal["field2"]["LookupType"] = 4;
	$tdataRelatorio_Alunos_Mensal["field2"]["LinkField"] = "email";
	$tdataRelatorio_Alunos_Mensal["field2"]["DisplayField"] = "name";
	$tdataRelatorio_Alunos_Mensal[".hasCustomViewField"] = true;
}

$tableEvents["Relatorio_Alunos_Mensal"] = new eventsBase;
$tdataRelatorio_Alunos_Mensal[".hasEvents"] = false;

$cipherer = new RunnerCipherer("Relatorio_Alunos_Mensal");

?>